<div class="container" style="margin-top: 25px;">
    <div style="float: right; margin-bottom: 20px;">
    <button class="btn btn-primary" (click)="openModal(template, null)">Add Content</button>
    </div>
    <div class="form-group">
      <input type="text" class="form-control" placeholder="Search here" [(ngModel)]="content">
    </div>
    <table class="table">
        <thead>
          <tr>
            <th scope="col">No.</th>
            <th scope="col">Title</th>
            <th scope="col">Description</th>
            <th scope="col">Image</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of contentData | filter:content; let i = index">
            <th scope="row">{{i + 1}}</th>
            <td>{{data.title}}</td>
            <td>{{data.description}}</td>
            <td>
              <img src="{{data.image}}" alt="Thumbnail">
            </td>
          </tr>
        </tbody>
      </table>
</div>

<!--Content Modal-->

<ng-template #template>
    <div class="modal-header">
      <h4 class="modal-title pull-left">Add Content</h4>
      <button type="button" class="close pull-right" aria-label="Close" (click)="closeModel()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form [formGroup]='contentForm'>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='title' id='title' placeholder="Title">
        </div>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='description' id='description' placeholder="Description">
        </div>
        <div class="form-group">
          <input type='file' id="image" accept="image/*" (change)="handleFileInput($event)" />
        </div>
        <button type="button" class="btn btn-primary" (click)='addContent()'>Add</button>
      </form>
    </div>
  </ng-template>
